# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "agntcy-slim-controller"
version = "0.7.0"
build = "build.rs"
include = [
    "src/**",
    "build.rs",
    "proto/**",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Controller service and control API to configure the SLIM data plane through the control plane."
readme = "README.md"
license = "Apache-2.0"
resolver = "2"

[lib]
name = "slim_controller"
path = "src/lib.rs"

[dependencies.agntcy-slim-config]
version = "0.10.0"

[dependencies.agntcy-slim-datapath]
version = "0.14.1"

[dependencies.agntcy-slim-session]
version = "0.2.1"

[dependencies.agntcy-slim-signal]
version = "0.1.9"

[dependencies.agntcy-slim-tracing]
version = "0.3.13"

[dependencies.agntcy-slim-version]
version = "2.0.0-alpha.0"

[dependencies.display-error-chain]
version = "0.2"

[dependencies.drain]
version = "0.2"
features = ["retain"]

[dependencies.duration-string]
version = "0.5.3"
features = ["serde"]

[dependencies.futures]
version = "0.3.31"

[dependencies.h2]
version = "0.4.7"

[dependencies.parking_lot]
version = "0.12.3"

[dependencies.prost]
version = "0.14"

[dependencies.prost-types]
version = "0.14"

[dependencies.serde]
version = "1.0.217"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.thiserror]
version = "2.0.9"

[dependencies.tokio]
version = "1.52.2"
features = [
    "macros",
    "rt-multi-thread",
]

[dependencies.tokio-stream]
version = "0.1"

[dependencies.tokio-util]
version = "0.7.14"

[dependencies.tonic]
version = "0.14"

[dependencies.tonic-prost]
version = "0.14"

[dependencies.tracing]
version = "0.1.41"

[dependencies.uuid]
version = "1.15.1"
features = [
    "v4",
    "v4",
]

[dev-dependencies.tracing-test]
version = "0.2.5"
features = ["no-env-filter"]

[build-dependencies.protoc-bin-vendored]
version = "3.1.0"

[build-dependencies.tonic-prost-build]
version = "0.14"
